---
- name: create filesystem
  filesystem:
    dev: /dev/sdb
    fstype: ext4

- name: configure mount
  mount:
    name: /srv
    src: /dev/sdb
    fstype: ext4
    opts: nofail,nodev,nosuid
    state: mounted
